/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import controlers.ControleApiario;
import controlers.ControlePasto;
import java.awt.Color;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import javax.swing.DefaultListModel;
import javax.swing.JOptionPane;
import models.BancoConnection;
import models.Pasto;

/**
 *
 * @author familia
 */
public class AdicionarPastoJFrame extends javax.swing.JFrame {

    /**
     * Creates new form AdicionarPastoJFrame
     */
    public AdicionarPastoJFrame() {
        initComponents();
    }
    
    /*
    PastosJFrame pastos = new PastosJFrame();
    String nome = pastos.getNome();
    
    Connection conexao = BancoConnection.getConnection();
    Integer id = null;
    String nomePasto = null;
    Integer disAgua = null;
    Integer areaApicola = null;
    public void getCampos() throws SQLException{
        Statement stmt = conexao.createStatement();
        ResultSet rs = stmt.executeQuery("SELECT * FROM pasto WHERE nomePasto='"+nome+"';");            
        while(rs.next()){
            id = rs.getInt(1);
            nomePasto = rs.getString(2);
            disAgua = rs.getInt(3);
            areaApicola = rs.getInt(4);
        }       
        nomePasto_txt.setText(nomePasto);
        if(nomePasto_txt.getText()!=""){
            qtdApi_txt.disable();
        }
        distAgua_txt.setText(Integer.toString(disAgua));
        areaAPicola_txt.setText(Integer.toString(areaApicola));
       // UPDATE `projeto_integrador`.`apiario` SET `nomeApiario`='Pasto 6' WHERE `idApiario`='75';
    }  */
    

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        nomePasto_lbl = new javax.swing.JLabel();
        nomePasto_txt = new javax.swing.JTextField();
        qtdApi_lbl = new javax.swing.JLabel();
        qtdApi_txt = new javax.swing.JTextField();
        distAgua_lbl = new javax.swing.JLabel();
        distAgua_txt = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        areaApicola_lbl = new javax.swing.JLabel();
        areaAPicola_txt = new javax.swing.JTextField();
        jLabel5 = new javax.swing.JLabel();
        salvar_btn = new javax.swing.JButton();
        voltar_btn = new javax.swing.JButton();
        jMenuBar1 = new javax.swing.JMenuBar();
        navegar_menu = new javax.swing.JMenu();
        pagIni_nav_menu = new javax.swing.JMenuItem();
        sair_nav_menu = new javax.swing.JMenuItem();
        sobre_menu = new javax.swing.JMenu();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Adicionar Pasto");
        setPreferredSize(new java.awt.Dimension(440, 210));
        setResizable(false);

        jPanel1.setMaximumSize(new java.awt.Dimension(802, 600));
        jPanel1.setMinimumSize(new java.awt.Dimension(802, 600));
        jPanel1.setPreferredSize(new java.awt.Dimension(802, 600));

        nomePasto_lbl.setText("Nome do pasto");

        nomePasto_txt.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                nomePasto_txtActionPerformed(evt);
            }
        });

        qtdApi_lbl.setText("Quantidade de apiários");

        qtdApi_txt.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                qtdApi_txtActionPerformed(evt);
            }
        });

        distAgua_lbl.setText("Distância da água");

        jLabel3.setText("m");

        areaApicola_lbl.setText("Área apícola");

        jLabel5.setText("m²");

        salvar_btn.setText("Salvar");
        salvar_btn.setPreferredSize(new java.awt.Dimension(100, 25));
        salvar_btn.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                salvar_btnMouseClicked(evt);
            }
        });
        salvar_btn.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                salvar_btnActionPerformed(evt);
            }
        });

        voltar_btn.setText("< Voltar");
        voltar_btn.setPreferredSize(new java.awt.Dimension(100, 25));
        voltar_btn.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                voltar_btnActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(qtdApi_lbl)
                            .addComponent(nomePasto_lbl)
                            .addComponent(distAgua_lbl))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(qtdApi_txt, javax.swing.GroupLayout.PREFERRED_SIZE, 34, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(areaApicola_lbl)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(areaAPicola_txt, javax.swing.GroupLayout.PREFERRED_SIZE, 33, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(jLabel5))
                            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                                .addComponent(distAgua_txt)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(jLabel3)
                                .addGap(196, 196, 196))
                            .addComponent(nomePasto_txt, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, 246, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(voltar_btn, javax.swing.GroupLayout.PREFERRED_SIZE, 109, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(salvar_btn, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(407, Short.MAX_VALUE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(nomePasto_lbl)
                    .addComponent(nomePasto_txt, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(qtdApi_lbl)
                    .addComponent(qtdApi_txt, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(areaApicola_lbl)
                    .addComponent(areaAPicola_txt, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel5))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(distAgua_lbl)
                    .addComponent(distAgua_txt, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel3))
                .addGap(18, 18, 18)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(voltar_btn, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(salvar_btn, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(464, Short.MAX_VALUE))
        );

        navegar_menu.setText("Navegar");

        pagIni_nav_menu.setText("Página Inicial");
        pagIni_nav_menu.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                pagIni_nav_menuActionPerformed(evt);
            }
        });
        navegar_menu.add(pagIni_nav_menu);

        sair_nav_menu.setText("Sair");
        sair_nav_menu.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                sair_nav_menuActionPerformed(evt);
            }
        });
        navegar_menu.add(sair_nav_menu);

        jMenuBar1.add(navegar_menu);

        sobre_menu.setText("Sobre");
        sobre_menu.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                sobre_menuMouseClicked(evt);
            }
        });
        jMenuBar1.add(sobre_menu);

        setJMenuBar(jMenuBar1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
        );

        pack();
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void pagIni_nav_menuActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_pagIni_nav_menuActionPerformed
        // TODO add your handling code here:
        new HomeJFrame().setVisible(true);
        dispose();
    }//GEN-LAST:event_pagIni_nav_menuActionPerformed

    private void salvar_btnMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_salvar_btnMouseClicked
        // TODO add your handling code here:
    }//GEN-LAST:event_salvar_btnMouseClicked
       
    private void salvar_btnActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_salvar_btnActionPerformed
        try{
            Connection conexao = BancoConnection.getConnection();
            
            
            String nome = nomePasto_txt.getText();
            Integer qtdApiario = Integer.parseInt(qtdApi_txt.getText());
            Integer disAgua = Integer.parseInt(distAgua_txt.getText());
            Integer areaApicola = Integer.parseInt(areaAPicola_txt.getText());
            
            
            String str = "INSERT INTO pasto(nomePasto, disAgua, areaApicola) VALUES (?,?,?)";
            PreparedStatement ps = conexao.prepareStatement(str);
            ps.setString(1, nome);
            ps.setInt(2, disAgua);
            ps.setInt(3, areaApicola);
            ps.executeUpdate();     
            
            /*-----------TENTATIVA DE ADICIONAR APIÁRIOS AUTOMATICAMENTE----------*/
            Statement stmt = conexao.createStatement();
            ResultSet rs = stmt.executeQuery("SELECT idPasto FROM pasto WHERE nomePasto='"+nome+"';");
            Integer foreign = null;
            
            
            while(rs.next()){
                foreign = rs.getInt(1);                
            }
            ControleApiario apiario = new ControleApiario();
            apiario.addApiarioAuto(qtdApiario, foreign);
            
            
            /*-------------------------------------------------------------------*/
            
            JOptionPane.showMessageDialog(null, "Pasto apícola adicionado");
        }
        catch(Exception e){
            JOptionPane.showMessageDialog(null, "Nenhum pasto apícola foi adicionado");
        }
        new PastosJFrame().setVisible(true);
        dispose();
    }//GEN-LAST:event_salvar_btnActionPerformed
    
    private void nomePasto_txtActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_nomePasto_txtActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_nomePasto_txtActionPerformed

    private void voltar_btnActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_voltar_btnActionPerformed
        // TODO add your handling code here:
        new PastosJFrame().setVisible(true);
        dispose();
    }//GEN-LAST:event_voltar_btnActionPerformed

    private void sair_nav_menuActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_sair_nav_menuActionPerformed
        // TODO add your handling code here:
        System.exit(0);
    }//GEN-LAST:event_sair_nav_menuActionPerformed

    private void qtdApi_txtActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_qtdApi_txtActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_qtdApi_txtActionPerformed

    private void sobre_menuMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_sobre_menuMouseClicked
        JOptionPane.showMessageDialog(null,"Criado por Lucas e Mesaque","Sobre", JOptionPane.INFORMATION_MESSAGE);
    }//GEN-LAST:event_sobre_menuMouseClicked

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(AdicionarPastoJFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(AdicionarPastoJFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(AdicionarPastoJFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(AdicionarPastoJFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new AdicionarPastoJFrame().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTextField areaAPicola_txt;
    private javax.swing.JLabel areaApicola_lbl;
    private javax.swing.JLabel distAgua_lbl;
    private javax.swing.JTextField distAgua_txt;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JMenuBar jMenuBar1;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JMenu navegar_menu;
    private javax.swing.JLabel nomePasto_lbl;
    private javax.swing.JTextField nomePasto_txt;
    private javax.swing.JMenuItem pagIni_nav_menu;
    private javax.swing.JLabel qtdApi_lbl;
    private javax.swing.JTextField qtdApi_txt;
    private javax.swing.JMenuItem sair_nav_menu;
    private javax.swing.JButton salvar_btn;
    private javax.swing.JMenu sobre_menu;
    private javax.swing.JButton voltar_btn;
    // End of variables declaration//GEN-END:variables
}
